# The Delivery Group UK [The Delivery Group UK](https://www.thedeliverygroup.co.uk/) offers domestic and international services for shipments originating in the UK. This guide provides developers with the details needed to build The Delivery Group UK shipping capabilities into your ShipStation API workflows. ## Requirements | Property | Type | Required? | Description | | --- | --- | --- | --- | | `nickname` | *string* | **required** | Used to identify your account in ShipStation API | | `client_name` | *string* | **required** | Your Delivery Group UK account client name | | `username` | *string* | **required** | Your Delivery Group UK account username | | `password` | *string* | **required** | Your Delivery Group UK account password | ### Shipping Requirements * All shipments require both weight and dimensions. ## Connect Account You can connect a The Delivery Group UK account using the POST method to the `/v1/connections/carriers/` endpoint, or via the ShipStation API Dashboard. ### Connect via Endpoint `carrier_name`: `the_delivery_group_uk` **POST /v1/connections/carriers/:carrier_name** Sample request: ```http POST /v1/connections/carriers/the_delivery_group_uk HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "nickname": "My The Delivery Group UK account", "client_name": "account client name, "username": "account username", "password": "pa55word" } ``` A successful connection will return a response with the `carrier_id`, which you'll use for any requests for this account going forward. ### Connect via Dashboard Steps to connect via dashboard coming soon! ## Rates The Delivery Group UK does not currently support [rate shopping](/apis/shipengine/docs/rates/rates) with ShipStation API. Your account contact can provide you with details about your contracted rates. ## Service Details Services available with The Delivery Group UK are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the [list carrier services](/apis/shipengine/docs/reference/list-carrier-services) endpoint at any time. ### Domestic Services | Service | API Code | | --- | --- | | DSA Large Letter | `tdg_dsa_large_letter` | | DSA Packet | `tdg_dsa_packet` | | Utrak No Tracking | `tdg_utrak_no_tracking` | | Utrak | `tdg_utrak` | | Yodel Expect 24hr | `tdg_yodel_expect_24hr` | | Yodel Expect 24hr Non POD | `tdg_yodel_expect_24h_non_pod` | | Yodel Expect 48hr | `tdg_yodel_expect_48hr` | | Yodel Expect 48hr Non POD | `tdg_yodel_expect_48hr_non_pod` | | Yodel Expect Medium 24hr | `tdg_yodel_expect_medium_24hr` | | Yodel Expect Medium 24hr Non POD | `tdg_yodel_expect_medium_24hr_non_pod` | | Yodel Expect Medium 48hr | `tdg_yodel_expect_medium_48hr` | | Yodel Expect Medium 48hr Non POD | `tdg_yodel_expect_medium_48hr_non_pod` | | Yodel Expect Mini 48hr Non POD | `tdg_yodel_expect_mini_48hr_non_pod` | | Yodel Expect Mini 48hr | `tdg_yodel_expect_mini_48hr` | | Yodel Expect XL | `tdg_yodel_expect_xl` | | Yodel Expect XL Non POD | `tdg_yodel_expect_xl_nonpod` | | Yodel Express 24hr | `tdg_yodel_express_24h` | | Yodel Express 24hr Non POD | `tdg_yodel_express_24h_non_pod` | | Yodel Express 48hr | `tdg_yodel_express_48h` | | Yodel Express 48hr Non POD | `tdg_yodel_express_48h_non_pod` | | Yodel Express Mini 48hr Non POD | `tdg_yodel_express_mini_48h_non_pod` | | Utrak Plus | `tdg_utrak_plus` | | Yodel Express Mini 24hr | `tdg_yodel_express_mini_24hr` | | Yodel Expect Mini 24hr | `tdg_yodel_expect_mini_24hr` | | Utrak POD | `tdg_utrak_pod` | ### International Services | Service | API Code | | --- | --- | | Etrak Lite (Epak) | `tdg_etrak_lite_epak` | | Etrak (Ontrak) | `tdg_etrak_ontrak` | | International Untracked | `tdg_international_untracked` | | Yodel Channel Isle | `tdg_yodel_channel_isle` | | Yodel Channel Isle Non POD | `tdg_yodel_channel_isle_non_pod` | > **NOTE: Action Required: New Zealand Border Levy Changes** Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged **per consignment**, not per item. See the **Shipping to New Zealand: Low Value Goods (LVG) Levy** section in [International Shipments](/apis/shipengine/docs/shipping/international) for full details. ### Shipping to Northern Ireland At this time, The Delivery Group UK has not provided any details about required changes when creating labels for shipment from Great Britain to Northern Ireland as related to the [Windsor Framework](/apis/shipengine/docs/shipping/windsor-framework). We will provide details about using The Delivery Group UK to ship to Northern Ireland as soon as they are available. ### Return Services The Delivery Group UK does not currently support creating [return labels](/apis/shipengine/docs/shipping/returns). ### Packages The following [carrier package types](/apis/shipengine/docs/shipping/carrier-packaging) are available for The Delivery Group UK services: | Name | API Code | Package Attributes | | --- | --- | --- | | Package | `the_delivery_group_package` | International, Domestic | ### Adding Shipment Insurance The Delivery Group UK does not support adding carrier insurance to shipments created with ShipStation API. ## Label Support * Label sizes: 4" x 6" * Label formats: PDF, PNG, ZPL * Supports unicode characters: yes, for CN22 labels only ### Label Reference Fields The Delivery Group UK supports adding [custom label messages](/apis/shipengine/docs/labels/messages) for the following services only: * **Domestic**: Utrak No Tracking, Utrak * **International**: Etrak, Etrak Lite, International Untracked ### Multi-Package Labels The Delivery Group UK does not support creating [multi-package shipments](/apis/shipengine/docs/shipping/multi-package). ### Label Branding The Delivery Group UK does not support [label branding](/apis/shipengine/docs/labels/branding). ### Voiding Labels The Delivery Group UK does not support [voiding labels](/apis/shipengine/docs/shipping/multi-package) with ShipStation API. ### Paperless Labels The Delivery Group UK does not support [paperless labels](/apis/shipengine/docs/labels/paperless). ### Customs Declarations Customs declarations print directly on the labels for international shipments. ## Delivery Confirmation | Confirmation Type | API Code | Description | | --- | --- | --- | | No confirmation required | `none` | No delivery confirmation required. | See our [Delivery Confirmation page](/apis/shipengine/docs/shipping/delivery-confirmation) for more details about using the `confirmation` property. ## Advanced Options The Delivery Group UK supports certain [advanced options](/apis/shipengine/docs/carriers/advanced-options), which you can add to the `shipment` object when creating a shipment or label. | Option | Type | Default Value | Description | | --- | --- | --- | --- | | `delivered_duty_paid` | *boolean* | `false` | Indicates the shipment is DDP (that is, the shipper is paying the duties/taxes for the shipment rather than the recipient). | | `NotificationsEmail` | *string* | `null` | The carrier will send email tracking notifications to the provided email address. | | `NotificationsPhone` | *string* | `null` | The carrier will send SMS tracking notifications to the provided phone number. | | `saturday_delivery` | *boolean* | `false` | Indicates that the carrier should charge for delivery on Saturday for services that do not otherwise include Saturday delivery. | To ensure you always have the most up-to-date information about a carrier's advanced options, use the [list carrier options call](/apis/shipengine/docs/reference/list-carrier-options). ## Manifests The Delivery Group does not require [manifesting](/apis/shipengine/docs/shipping/manifests) your shipments. ## Scheduling Pickups The Delivery Group UK does not support [scheduling pickups](/apis/shipengine/docs/shipping/pickups) using ShipStation API. ## Service Points (PUDO) The Delivery Group UK does not support shipping to [service points](/apis/shipengine/docs/pick-up-drop-off/pudo-intro). ## Tracking ShipStation API's integration with The Delivery Group UK supports receiving tracking updates. Review our ​[Track a Package guides​](/apis/shipengine/docs/tracking/tracking)​ for details on tracking with the ShipStation API. ## Disconnecting Your The Delivery Group UK Account See the Disconnect section in our [Delete a Carrier page](/apis/shipengine/docs/reference/carriers/delete-carrier) for the process of deleting or disconnecting a carrier from ShipStation API. > **NOTE:** If you disconnect a carrier account and reconnect it, the account will have a new `carrier_id` in ShipStation API. ## Troubleshooting Tips Error: `Error received from The Delivery Group API: No services could be found for the specified item attributes and destination. If you need clarification, please call The Delivery Group on 020 7732 2000.` If you receive this error, it means your selected service is not available to your Delivery Group UK account. Contact Delivery Group UK to have the service enabled, or choose another service.